import { CWFile } from "./types";

export function getFileDownloadUrl(file?: CWFile): string {
  if (file?.data) {
    return URL.createObjectURL(file.data);
  }
  if (file?.downloadUrl) {
    return file.downloadUrl;
  }
  return "";
}

export function getFileNameFromURL(url?: string): string {
  if (!url) {
    return "";
  }
  return url.slice(url.lastIndexOf("/") + 1);
}
